<?php

namespace WAAVE\Complete\Block;

use WAAVE\Compliance\Model\ConfigurationFactory;
use WAAVE\Complete\Helper\Domain;
use WAAVE\Complete\Helper\AgeCheck;

class AgeCheckPopup extends \Magento\Framework\View\Element\Template
{
    protected $_configurationFactory;
    protected $domainHelper;
    protected $ageCheckHelper;

    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        ConfigurationFactory $configurationFactory
    ) {
        parent::__construct($context);

        $this->_configurationFactory = $configurationFactory;
        $this->domainHelper = new Domain;
        $this->ageCheckHelper = new AgeCheck;
    }

    public function getTestMode()
    {
        $configuration = $this->getConfiguration();
        return $configuration->getData('test_mode');
    }

    public function getAgeCheckValidateUrl()
    {
        return $this->domainHelper->getDomain($this->getTestMode()) . '/compliance/age-check-validate';
    }

    public function getAgeCheckApiKey()
    {
        return $this->ageCheckHelper->getAgeCheckInfo($this->getTestMode())['api_key'];
    }

    public function getAgeCheckStatusUrl()
    {
        return $this->domainHelper->getDomain($this->getTestMode()) . '/compliance/age-check-status';
    }

    /**
     * Returns configuration
     *
     * @return object
     * @codeCoverageIgnore
     */
    protected function getConfiguration()
    {
        $collection = $this->_configurationFactory->create()->getCollection();
        return $collection->getFirstItem();
    }
}