<?php

namespace WAAVE\Complete\Controller\AgeCheck;

use Magento\Framework\App\Action\Action;
use Magento\Framework\App\Action\Context;
use Magento\Directory\Model\RegionFactory;
use Magento\Framework\Controller\Result\JsonFactory;

class Region extends Action
{
    protected $regionFactory;
    protected $resultJsonFactory;

    public function __construct(
        Context $context,
        RegionFactory $regionFactory,
        JsonFactory $resultJsonFactory
    ) {
        $this->regionFactory = $regionFactory;
        $this->resultJsonFactory = $resultJsonFactory;

        parent::__construct($context);
    }

    /**
     * Execute
     */
    public function execute()
    {
        $regionId = $this->getRequest()->getParam('regionId');

        if (is_numeric($regionId)) {
            $region = $this->regionFactory->create()->load($regionId);
            $resultJson = $this->resultJsonFactory->create();
    
            return $resultJson->setData(['data' => $region->getData()]);
        }
    }
}
