define([
    'jquery',
    'mage/url',
    'jquery/validate',
    'mage/translate'
], function ($, url) {
    "use strict";

    return function (validator) {
        validator.addRule(
            'validate-postcode',
            function (v, e) {
                v = v.replace(/\s/g,'');
                localStorage.setItem('checkPostcode', 1);
                var countryId = $('select[name=country_id]').val();
                var regionId = $('select[name=region_id]').val();
                if (countryId == 'US' && regionId) {
                    if (v.length == 5) {
                        $.ajax({
                            url: url.build('waave_complete/ageCheck/region'),
                            type: 'GET',
                            async: false,
                            data: {
                                regionId: regionId
                            },
                            success: function(response) {
                                if (v < zipcodeus[response.data.code].startZip || v > zipcodeus[response.data.code].endZip) {
                                    localStorage.setItem('checkPostcode', 0);
                                } else {
                                    localStorage.setItem('checkPostcode', 1);
                                }
                            }
                        });
                    } else {
                        localStorage.setItem('checkPostcode', 0);
                    }
                }

                return Number(localStorage.getItem('checkPostcode'));
            },
            $.mage.__("Provided Zip/Postal Code does not match the selected State.")
        );

        return validator;
    };
})