<?php

namespace WAAVE\Compliance\Controller\Adminhtml\Configuration;

use Magento\Framework\App\Action\HttpPostActionInterface as HttpPostActionInterface;
use Magento\Backend\App\Action\Context;
use WAAVE\Compliance\Controller\Adminhtml\Configuration;
use WAAVE\Compliance\Model\ConfigurationFactory;
use Magento\Framework\Controller\Result\JsonFactory;

class DeleteImage extends Configuration implements HttpPostActionInterface
{
    protected $_configurationFactory;
    protected $_resultJsonFactory;

    /**
     * @param \Magento\Backend\App\Action\Context $context
     * @param \WAAVE\Compliance\Model\ConfigurationFactory $configurationFactory
     * @param \Magento\Framework\Controller\Result\JsonFactory $resultJsonFactory
     */
    public function __construct(
        Context $context,
        ConfigurationFactory $configurationFactory,
        JsonFactory $resultJsonFactory
    ) {
        parent::__construct($context);
        $this->_configurationFactory = $configurationFactory;
        $this->_resultJsonFactory = $resultJsonFactory;
    }

    /**
     * Save configuration
     *
     * @return ResultInterface
     */
    public function execute()
    {
        $collection = $this->_configurationFactory->create()->getCollection();
        $configuration = $collection->getFirstItem();
        $configuration->setAgeGatePopupLogo(null);
        $configuration->save();
        $resultJson = $this->_resultJsonFactory->create();
    
        return $resultJson->setData(['success' => true]);
    }
}