<?php

namespace WAAVE\Compliance\Controller\AgeGatePopup;

use Magento\Framework\App\Action\Context;
use Magento\Framework\App\Action\Action;
use Magento\Framework\Controller\Result\JsonFactory;

class Index extends Action
{
    protected $resultJsonFactory;

    public function __construct(Context $context, JsonFactory $resultJsonFactory)
    {
        parent::__construct($context);
        $this->resultJsonFactory = $resultJsonFactory;
    }

    public function execute()
    {
        if ($this->getRequest()->getParam('isCheckedRememberMe')) {
            $time = strtotime('+1 year');
        } else {
            $time = 86400; // 1 day
        }

        setcookie('age_verification', 1, time() + $time, '/', $_SERVER['SERVER_NAME']);

        return $this->resultJsonFactory->create()->setData(
            [
                'success' => true
            ]
        );
    }
}
