<?php

namespace WAAVE\Compliance\Helper;

class Api
{
    public function makeGetRequest($url) {
        $headers = array(
            "Content-Type: application/json"
        );
        $curl = curl_init();

        $options = array(
            CURLOPT_URL             => $url,
            CURLOPT_RETURNTRANSFER  => true,
            CURLOPT_HTTPHEADER      => $headers,
            CURLOPT_SSL_VERIFYHOST  => 0,
            CURLOPT_SSL_VERIFYPEER  => 0,
            CURLOPT_FOLLOWLOCATION  => true,
            CURLOPT_TIMEOUT         => 300,
            CURLOPT_USERAGENT       => "Mozilla/5.0 (Windows NT 10.0; Win64; x64)"
        );

        curl_setopt_array($curl, $options);
        
        $jsonResponse = curl_exec($curl);
        $httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
        $err = curl_error($curl);
        curl_close($curl);
        if ($err) {
            $result = array(
                'error'      => true,
                'message'    => $err,
                'error_code' => $httpCode,
            );
        } else {
            $result = @json_decode($jsonResponse, true);
            if (is_null($result)) {
                $result = array(
                    'error'      => true,
                    'message'    => $jsonResponse,
                    'error_code' => $httpCode,
                );
            }
        }

        return $result;
    }
}
